aboutsummaryrefslogtreecommitdiff
path: root/lib/keyringer/actions/pass
diff options
context:
space:
mode:
Diffstat (limited to 'lib/keyringer/actions/pass')
-rwxr-xr-xlib/keyringer/actions/pass20
1 files changed, 20 insertions, 0 deletions
diff --git a/lib/keyringer/actions/pass b/lib/keyringer/actions/pass
new file mode 100755
index 0000000..7bca7d5
--- /dev/null
+++ b/lib/keyringer/actions/pass
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+#
+# Behave like pass(1), outputing just the first line of a secret.
+#
+
+# Load functions
+LIB="`dirname $0`/../functions"
+source "$LIB" read $* || exit 1
+
+# Get file
+keyringer_get_file "$2"
+
+# Decrypt
+pass="$($GPG --use-agent -d "$KEYDIR/$FILE" 2> /dev/null | head -n 1)"
+
+# Output password
+echo "$pass"
+
+# Exit
+exit "$?"